Subject: ‘copy-recursively’ #:keep-mtime? #t broken for directories

From: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Nov 2020 17:19:57 +0100

When passing #:keep-mtime? #t to ‘copy-recursively’, the mtime of
regular files is preserved, but the mtime of directories (and symlinks)
is not.

This is because ‘set-file-time’ is called in the ‘down’ procedure of
‘file-system-fold’, before the directory is populated.

‘populate-store’ is affected by this bug, meaning that it creates stores
where directories have “wrong” timestamps.  In practice this is probably
less likely to have undesirable side effects than regular files with
wrong timestamps (think ‘make’, .go files, etc.)

Ludo’.